Gecode::Int::TaskTraits< Unary::ManFixPTask > Class Reference

Task traits for mandatory fixed tasks. More...

`#include <unary.hh>`

## Public Types

typedef Unary::ManFixPTaskFwd | TaskViewFwd
| The forward task view type.
typedef Unary::ManFixPTaskBwd | TaskViewBwd
| The backward task view type.

## Detailed Description

Task traits for mandatory fixed tasks.

Definition at line 591 of file unary.hh.

## Member Typedef Documentation

## TaskViewFwd

typedef Unary::ManFixPTaskFwd Gecode::Int::TaskTraits< Unary::ManFixPTask >::TaskViewFwd

The forward task view type.

Definition at line 594 of file unary.hh.

## TaskViewBwd

typedef Unary::ManFixPTaskBwd Gecode::Int::TaskTraits< Unary::ManFixPTask >::TaskViewBwd

The backward task view type.

Definition at line 596 of file unary.hh.

The documentation for this class was generated from the following file:

- gecode/int/unary.hh